/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* Copy the first part of user declarations.  */
#line 22 "sdfparse.yy" /* yacc.c:339  */

#define YYERROR_VERBOSE

#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include "sdflex.h"
#include "acc_user.h"
#include "sdf.h"

#include "sdfparse.hh"
#ifdef __cplusplus
    int	sdf_lex( YYSTYPE* );
#endif // __cplusplus

#define yymaxdepth sdf_maxdepth
#define yyparse sdf_parse
#define yylex sdf_lex
#define yyerror sdf_error
#define yylval sdf_lval
#define yychar sdf_char
#define yydebug sdf_debug
#define yypact sdf_pact
#define yyr1 sdf_r1
#define yyr2 sdf_r2
#define yydef sdf_def
#define yychk sdf_chk
#define yypgo sdf_pgo
#define yyact sdf_act
#define yyexca sdf_exca
#define yyerrflag sdf_errflag
#define yynerrs sdf_nerrs
#define yyps sdf_ps
#define yypv sdf_pv
#define yys sdf_s
#define yy_yys sdf_yys
#define yystate sdf_state
#define yytmp sdf_tmp
#define yyv sdf_v
#define yy_yyv sdf_yyv
#define yyval sdf_val
#define yylloc sdf_lloc
#define yyreds sdf_reds
#define yytoks sdf_toks
#define yylhs sdf_yylhs
#define yylen sdf_yylen
#define yydefred sdf_yydefred
#define yydgoto sdf_yydgoto
#define yysindex sdf_yysindex
#define yyrindex sdf_yyrindex
#define yygindex sdf_yygindex
#define yytable sdf_yytable
#define yycheck sdf_yycheck
#define yyname sdf_yyname
#define yyrule sdf_yyrule


void initSDFParse()
{
	sdflexInit();
}


#line 131 "sdfparse.cc" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_YY_Y_TAB_H_INCLUDED
# define YY_YY_Y_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IF = 258,
    ELSE = 259,
    OROR = 260,
    ANDAND = 261,
    ANDANDAND = 262,
    XNOR = 263,
    LOGICAL_EQUALITY = 264,
    LOGICAL_INEQUALITY = 265,
    CASE_EQUALITY = 266,
    CASE_INEQUALITY = 267,
    LT = 268,
    LE = 269,
    GT = 270,
    GE = 271,
    LEFT_SHIFT = 272,
    RIGHT_SHIFT = 273,
    REDUCTION_NOR = 274,
    REDUCTION_NAND = 275,
    UNARY = 276,
    INTEGER = 277,
    SCALAR_CONSTANT = 278,
    FLOATING = 279,
    QSTRING = 280,
    IDENTIFIER = 281,
    BLOB = 282,
    POSEDGE = 283,
    NEGEDGE = 284,
    DELAYFILE = 285,
    SDFVERSION = 286,
    DESIGN = 287,
    DATE = 288,
    VENDOR = 289,
    PROGRAM = 290,
    VERSION_ = 291,
    DIVIDER = 292,
    VOLTAGE = 293,
    PROCESS = 294,
    TEMPERATURE = 295,
    TIMESCALE = 296,
    CELL = 297,
    CELLTYPE = 298,
    INSTANCE = 299,
    DELAY = 300,
    TIMINGCHECK = 301,
    INCLUDE = 302,
    ABSOLUTE = 303,
    INCREMENT = 304,
    USERDEF = 305,
    PATHPULSE = 306,
    GLOBALPATHPULSE = 307,
    IOPATH = 308,
    COND = 309,
    PORT = 310,
    INTERCONNECT = 311,
    NETDELAY = 312,
    DEVICE = 313,
    SETUP = 314,
    HOLD = 315,
    SETUPHOLD = 316,
    RECOVERY = 317,
    SKEW = 318,
    WIDTH = 319,
    PERIOD = 320,
    NOCHANGE = 321,
    PATHCONSTRAINT = 322,
    SUM = 323,
    DIFF = 324,
    SKEWCONSTRAINT = 325,
    MICROSECOND = 326,
    NANOSECOND = 327,
    PICOSECOND = 328,
    EDGE_01 = 329,
    EDGE_10 = 330,
    EDGE_0z = 331,
    EDGE_1z = 332,
    EDGE_z0 = 333,
    EDGE_z1 = 334,
    EOF_ = 335
  };
#endif
/* Tokens.  */
#define IF 258
#define ELSE 259
#define OROR 260
#define ANDAND 261
#define ANDANDAND 262
#define XNOR 263
#define LOGICAL_EQUALITY 264
#define LOGICAL_INEQUALITY 265
#define CASE_EQUALITY 266
#define CASE_INEQUALITY 267
#define LT 268
#define LE 269
#define GT 270
#define GE 271
#define LEFT_SHIFT 272
#define RIGHT_SHIFT 273
#define REDUCTION_NOR 274
#define REDUCTION_NAND 275
#define UNARY 276
#define INTEGER 277
#define SCALAR_CONSTANT 278
#define FLOATING 279
#define QSTRING 280
#define IDENTIFIER 281
#define BLOB 282
#define POSEDGE 283
#define NEGEDGE 284
#define DELAYFILE 285
#define SDFVERSION 286
#define DESIGN 287
#define DATE 288
#define VENDOR 289
#define PROGRAM 290
#define VERSION_ 291
#define DIVIDER 292
#define VOLTAGE 293
#define PROCESS 294
#define TEMPERATURE 295
#define TIMESCALE 296
#define CELL 297
#define CELLTYPE 298
#define INSTANCE 299
#define DELAY 300
#define TIMINGCHECK 301
#define INCLUDE 302
#define ABSOLUTE 303
#define INCREMENT 304
#define USERDEF 305
#define PATHPULSE 306
#define GLOBALPATHPULSE 307
#define IOPATH 308
#define COND 309
#define PORT 310
#define INTERCONNECT 311
#define NETDELAY 312
#define DEVICE 313
#define SETUP 314
#define HOLD 315
#define SETUPHOLD 316
#define RECOVERY 317
#define SKEW 318
#define WIDTH 319
#define PERIOD 320
#define NOCHANGE 321
#define PATHCONSTRAINT 322
#define SUM 323
#define DIFF 324
#define SKEWCONSTRAINT 325
#define MICROSECOND 326
#define NANOSECOND 327
#define PICOSECOND 328
#define EDGE_01 329
#define EDGE_10 330
#define EDGE_0z 331
#define EDGE_1z 332
#define EDGE_z0 333
#define EDGE_z1 334
#define EOF_ 335

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 88 "sdfparse.yy" /* yacc.c:355  */

	int			integer;
	double			floating;
	const char		*ptr;
	eScaleType_t		etype;
	eDelayType_t  		dtype;
	eSDFConstruct_t		stype;
	eVerilogConstruct_t 	vtype;
	char			character;
	creal_t			creal;
	triple_t		triple;
	elist_t			elist;
	port_t			port;

#line 346 "sdfparse.cc" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif



int yyparse (void);

#endif /* !YY_YY_Y_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 360 "sdfparse.cc" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   383

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  97
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  64
/* YYNRULES -- Number of rules.  */
#define YYNRULES  141
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  376

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   335

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    31,     2,     2,     2,    28,    13,     2,
      29,    95,    26,    24,     2,    25,     2,    27,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     6,     2,
       2,     2,     2,     5,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    30,     2,    96,    11,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,    10,     2,    32,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       7,     8,     9,    12,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   216,   216,   220,   227,   232,   237,   242,   247,   252,
     257,   257,   262,   264,   269,   274,   276,   281,   286,   291,
     296,   304,   323,   324,   325,   329,   328,   339,   347,   348,
     352,   357,   365,   372,   373,   375,   377,   378,   378,   379,
     379,   386,   387,   392,   394,   398,   403,   407,   411,   415,
     419,   423,   427,   431,   438,   439,   444,   443,   450,   449,
     458,   459,   463,   464,   468,   469,   473,   474,   482,   492,
     493,   502,   506,   511,   515,   519,   523,   527,   533,   538,
     542,   547,   551,   555,   559,   563,   569,   570,   570,   577,
     581,   588,   597,   609,   614,   619,   624,   629,   634,   639,
     644,   653,   664,   668,   677,   688,   696,   707,   711,   716,
     722,   729,   738,   748,   763,   768,   774,   781,   790,   800,
     814,   821,   828,   836,   844,   851,   858,   866,   874,   875,
     877,   881,   882,   887,   893,   897,   903,   907,   909,   917,
     922,   924
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IF", "ELSE", "'?'", "':'", "OROR",
  "ANDAND", "ANDANDAND", "'|'", "'^'", "XNOR", "'&'", "LOGICAL_EQUALITY",
  "LOGICAL_INEQUALITY", "CASE_EQUALITY", "CASE_INEQUALITY", "LT", "LE",
  "GT", "GE", "LEFT_SHIFT", "RIGHT_SHIFT", "'+'", "'-'", "'*'", "'/'",
  "'%'", "'('", "'['", "'!'", "'~'", "REDUCTION_NOR", "REDUCTION_NAND",
  "UNARY", "INTEGER", "SCALAR_CONSTANT", "FLOATING", "QSTRING",
  "IDENTIFIER", "BLOB", "POSEDGE", "NEGEDGE", "DELAYFILE", "SDFVERSION",
  "DESIGN", "DATE", "VENDOR", "PROGRAM", "VERSION_", "DIVIDER", "VOLTAGE",
  "PROCESS", "TEMPERATURE", "TIMESCALE", "CELL", "CELLTYPE", "INSTANCE",
  "DELAY", "TIMINGCHECK", "INCLUDE", "ABSOLUTE", "INCREMENT", "USERDEF",
  "PATHPULSE", "GLOBALPATHPULSE", "IOPATH", "COND", "PORT", "INTERCONNECT",
  "NETDELAY", "DEVICE", "SETUP", "HOLD", "SETUPHOLD", "RECOVERY", "SKEW",
  "WIDTH", "PERIOD", "NOCHANGE", "PATHCONSTRAINT", "SUM", "DIFF",
  "SKEWCONSTRAINT", "MICROSECOND", "NANOSECOND", "PICOSECOND", "EDGE_01",
  "EDGE_10", "EDGE_0z", "EDGE_1z", "EDGE_z0", "EDGE_z1", "EOF_", "')'",
  "']'", "$accept", "sdf", "delay_file", "sdf_version", "design_name",
  "date", "vendor", "program_name", "program_version", "hierarchy_divider",
  "$@1", "voltage", "process", "temperature", "time_scale", "ts", "cells",
  "cell", "$@2", "celltype", "instances", "instance", "string_instance",
  "timing_specs", "timing_spec", "$@3", "$@4", "tcdefs", "tcdef",
  "timing_check_condition", "tcheck", "deltypes", "deltype", "$@5", "$@6",
  "absvals", "incvals", "name", "net_instance", "net", "port_instance",
  "absval", "conditional_port_expr", "incval", "port_spec", "$@7",
  "port_path", "port", "port_edge", "value", "double_tc_rvalue",
  "tc_rvalue", "rvalue", "exp_list", "rexp_list", "rexpression",
  "expression", "real", "preal", "creal", "cpreal", "nstring", "rp", "rb", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,    63,    58,   260,   261,   262,
     124,    94,   263,    38,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,    43,    45,    42,    47,    37,    40,
      91,    33,   126,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,    41,    93
};
# endif

#define YYPACT_NINF -308

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-308)))

#define YYTABLE_NINF -137

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
      -2,   -13,    36,   -42,    24,  -308,  -308,    40,    35,    30,
      45,    81,  -308,    21,    30,    67,    88,  -308,  -308,    21,
      30,    71,    91,  -308,    21,    30,    74,    97,  -308,    21,
      30,    82,   102,  -308,    21,    30,    83,   108,  -308,    21,
    -308,    94,   111,  -308,   113,    -6,    99,   134,    21,    52,
      52,  -308,  -308,    21,   159,  -308,   160,  -308,    30,   115,
     142,  -308,  -308,  -308,  -308,   103,   103,    21,    -6,   117,
     148,  -308,   172,   175,   183,  -308,    21,  -308,   -32,   136,
      21,   148,   103,   103,   103,  -308,  -308,    64,  -308,  -308,
    -308,  -308,  -308,  -308,  -308,    21,    21,    21,   174,  -308,
    -308,  -308,   149,   184,   176,   156,    21,    54,   124,   187,
    -308,    21,    21,   188,  -308,  -308,    21,   190,   156,  -308,
    -308,   -51,    21,   188,   191,   185,  -308,   124,  -308,  -308,
    -308,  -308,  -308,   283,    21,   191,  -308,    21,  -308,   203,
     204,  -308,   194,   194,   194,     4,     4,     4,     4,     4,
    -308,  -308,  -308,   305,    21,   203,   311,    21,   204,   209,
     211,     4,  -308,     4,     4,  -308,     4,  -308,     4,   213,
     213,   194,     4,  -308,   194,    -3,    46,    25,  -308,  -308,
       4,  -308,   194,    -3,    46,    25,  -308,  -308,   291,    21,
     210,   213,   213,   213,   -18,   213,   213,   162,    21,    21,
     213,   194,   216,   220,   214,   194,    -3,  -308,   211,   215,
     220,  -308,  -308,  -308,    22,   220,    21,  -308,   194,   224,
     227,    -3,   227,   227,    21,  -308,     0,    21,    21,    21,
     213,   194,   194,   194,   194,   194,   194,   194,   194,  -308,
      21,    21,    21,     7,  -308,  -308,    21,   220,   199,    21,
      21,  -308,   220,  -308,    21,    21,    17,   251,    21,  -308,
     227,   200,   162,    21,  -308,   227,    21,    21,  -308,  -308,
     232,  -308,  -308,  -308,  -308,  -308,  -308,    21,    21,    21,
      21,    21,    21,    21,    21,  -308,  -308,  -308,  -308,  -308,
      21,     4,  -308,  -308,    21,  -308,   240,    52,  -308,    52,
    -308,    21,     4,    21,     7,  -308,    21,  -308,  -308,    15,
    -308,  -308,  -308,  -308,  -308,  -308,  -308,  -308,  -308,   194,
    -308,    22,  -308,   264,   266,   267,  -308,   194,   247,  -308,
    -308,  -308,   220,    21,   271,    52,    52,    52,   227,   162,
      21,   250,  -308,  -308,  -308,    21,    21,    21,    22,    21,
     252,  -308,    21,  -308,   162,   254,    21,    22,   257,    21,
     162,   263,    21,    22,   265,    21,   162,   269,    21,    22,
     274,    21,   162,  -308,    21,  -308
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       0,     0,     0,     0,     0,     1,     2,     0,     0,   138,
       0,     0,   137,     0,   138,     0,     0,   139,     4,     0,
     138,     0,     0,     5,     0,   138,     0,     0,     6,     0,
     138,     0,     0,     7,     0,   138,     0,     0,     8,     0,
      10,     0,     0,     9,     0,   134,     0,     0,     0,     0,
       0,   132,   131,     0,     0,   128,     0,    13,   138,     0,
       0,    11,   129,   130,    12,   134,   134,     0,   134,     0,
      24,   133,     0,     0,     0,    14,     0,    16,     0,     0,
       0,    23,   134,   134,     0,    15,    21,     0,    20,    25,
       3,    22,   120,   121,   122,     0,     0,     0,     0,    18,
      17,    19,     0,     0,     0,     0,     0,     0,    35,     0,
      27,     0,     0,     0,    37,    39,     0,    33,    29,    31,
      30,     0,     0,    55,     0,     0,    26,    35,    28,    56,
      58,    36,    54,     0,     0,    42,    44,     0,    34,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
      38,    41,    40,     0,     0,    61,     0,     0,    63,     0,
      90,     0,    89,     0,     0,    87,     0,    86,     0,     0,
       0,     0,     0,    78,     0,     0,     0,     0,    57,    60,
       0,    78,     0,     0,     0,     0,    59,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    69,    68,     0,
       0,    65,    66,    64,   127,     0,     0,   102,     0,     0,
       0,     0,     0,     0,     0,    43,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    88,
       0,     0,     0,     0,    51,    52,     0,     0,     0,     0,
       0,    70,     0,    67,     0,     0,     0,     0,     0,    76,
       0,     0,   123,     0,   107,     0,     0,     0,    84,   141,
       0,   140,    91,    46,    47,    48,   103,     0,     0,     0,
       0,     0,     0,     0,     0,    49,    50,   105,   104,    53,
       0,     0,    73,    32,     0,    75,   108,   136,   101,   136,
      77,     0,     0,     0,     0,    81,     0,    83,    85,     0,
      93,    94,    95,    96,   100,    99,    98,    97,    71,     0,
      74,   127,   135,     0,     0,     0,    79,     0,   114,   106,
      82,    92,     0,     0,     0,   136,   136,     0,     0,   123,
       0,   109,   124,   125,   126,     0,     0,     0,   127,     0,
     115,    72,     0,    80,   123,   110,     0,   127,   116,     0,
     123,   111,     0,   127,   117,     0,   123,   112,     0,   127,
     118,     0,   123,   113,     0,   119
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -308,  -308,  -308,  -308,  -308,  -308,  -308,  -308,  -308,  -308,
    -308,  -308,  -308,  -308,  -308,  -308,   219,  -308,  -308,  -308,
     177,  -308,   -71,   153,  -308,  -308,  -308,   161,  -308,  -308,
     145,   186,  -308,  -308,  -308,   151,  -308,   129,  -308,   106,
      19,  -308,   127,   165,    27,  -308,   -76,  -308,  -308,  -168,
     119,   -48,  -214,  -308,  -308,   -61,  -307,   -44,   -47,   146,
    -254,   277,   -19,     8
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,     8,    11,    16,    22,    27,    32,    37,
      44,    42,    47,    60,    70,    87,    80,    81,    98,   103,
     108,   109,   205,   116,   117,   124,   125,   134,   135,   159,
     136,   122,   123,   139,   140,   154,   157,   210,   211,   212,
     213,   155,   202,   158,   166,   194,   167,   162,   239,   216,
     229,   230,   263,   217,   264,    53,   255,    54,    55,    56,
     257,    13,    18,   272
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      23,   269,    62,    63,    86,    28,   270,    76,   266,   267,
      33,   129,   130,    65,   333,    38,   269,   224,    49,    50,
      43,    71,    73,   297,   231,   232,    57,     1,  -136,    61,
      51,     4,    52,   165,    64,   249,     5,   160,    71,    71,
      94,   352,   254,   323,   160,   325,   301,   258,    75,    77,
     359,   306,     6,     7,   214,   204,   365,    85,    51,    88,
      52,    90,   371,    17,    10,   160,   161,   163,   164,    12,
     233,   234,   235,   236,   237,   238,    99,   100,   101,   290,
     111,   342,   343,   204,   294,     9,   208,   110,    51,    17,
      52,    14,   119,   120,   112,   200,   271,   126,   203,   207,
     207,   207,    17,   131,   204,   209,   220,   207,   207,   207,
      15,   271,    17,   209,    20,   150,    17,    21,   152,    25,
      26,   198,   199,    30,   345,   247,    31,    49,    50,   251,
     207,    36,    35,   251,    40,   178,   242,    41,   186,    51,
      46,    52,   260,   227,   228,   207,    45,   240,   241,    95,
      96,    97,    58,   243,    48,   277,   278,   279,   280,   281,
     282,   283,   284,    59,   340,    65,    66,   256,  -134,    68,
     225,    69,    78,   168,   169,   170,   171,    79,    82,   244,
     245,    83,   276,   113,   114,   115,    49,    50,   191,    84,
     192,   193,    89,   195,   206,   196,   215,   259,    51,   201,
      52,   303,   221,   102,   223,   268,   104,   218,   273,   274,
     275,    72,    74,   105,   107,   106,   118,   121,   304,   127,
     133,   285,   286,   287,   288,   252,   137,   289,    92,    93,
     292,   293,   153,   156,   160,   295,   296,   298,   188,   300,
     265,   190,   197,   332,   305,   248,   226,   307,   308,   214,
     322,   338,   324,   261,   250,   208,   262,   299,   310,   311,
     312,   313,   314,   315,   316,   317,   291,   302,   309,   321,
     335,   318,   336,   337,   334,   320,   339,   297,   346,   348,
     138,   354,   326,   357,   328,   329,   360,   330,   322,   322,
     344,    19,   363,   356,   366,   128,   151,    24,   369,   362,
      91,   334,    29,   372,   189,   368,   179,    34,   219,   132,
     334,   374,    39,   222,   341,   253,   334,   331,   319,   246,
       0,   347,   334,   187,     0,     0,   349,   350,   351,   327,
     353,     0,     0,   355,     0,    67,     0,   358,     0,     0,
     361,     0,     0,   364,     0,     0,   367,     0,     0,   370,
       0,   141,   373,     0,     0,   375,   142,   143,   144,   145,
     146,   147,   148,   149,   142,   143,   144,   145,   146,   147,
     148,   149,   172,   173,   174,   175,   176,   177,   180,   181,
     182,   183,   184,   185
};

static const yytype_int16 yycheck[] =
{
      19,     1,    49,    50,    36,    24,     6,    68,   222,   223,
      29,    62,    63,     6,   321,    34,     1,   185,    24,    25,
      39,    65,    66,     6,    42,    43,    45,    29,     6,    48,
      36,    44,    38,    29,    53,   203,     0,    40,    82,    83,
      84,   348,   210,   297,    40,   299,   260,   215,    67,    68,
     357,   265,    94,    29,    29,    58,   363,    76,    36,    78,
      38,    80,   369,    95,    29,    40,   142,   143,   144,    39,
      88,    89,    90,    91,    92,    93,    95,    96,    97,   247,
      26,   335,   336,    58,   252,    45,    40,   106,    36,    95,
      38,    46,   111,   112,    40,   171,    96,   116,   174,   175,
     176,   177,    95,   122,    58,   176,   182,   183,   184,   185,
      29,    96,    95,   184,    47,   134,    95,    29,   137,    48,
      29,   169,   170,    49,   338,   201,    29,    24,    25,   205,
     206,    29,    50,   209,    51,   154,   197,    29,   157,    36,
      29,    38,   218,   191,   192,   221,    52,   195,   196,    85,
      86,    87,    53,   197,    41,   231,   232,   233,   234,   235,
     236,   237,   238,    29,   332,     6,     6,   214,     6,    54,
     189,    29,    55,   146,   147,   148,   149,    29,     6,   198,
     199,     6,   230,    59,    60,    61,    24,    25,   161,     6,
     163,   164,    56,   166,   175,   168,   177,   216,    36,   172,
      38,   262,   183,    29,   185,   224,    57,   180,   227,   228,
     229,    65,    66,    29,    58,    39,    29,    29,   262,    29,
      29,   240,   241,   242,   243,   206,    41,   246,    82,    83,
     249,   250,    29,    29,    40,   254,   255,   256,    29,   258,
     221,    30,    29,   319,   263,    29,    36,   266,   267,    29,
     297,   327,   299,    29,    40,    40,    29,     6,   277,   278,
     279,   280,   281,   282,   283,   284,    67,    67,    36,    29,
       6,   290,     6,     6,   321,   294,    29,     6,   339,    29,
     127,    29,   301,    29,   303,   304,    29,   306,   335,   336,
     337,    14,    29,   354,    29,   118,   135,    20,    29,   360,
      81,   348,    25,    29,   159,   366,   155,    30,   181,   123,
     357,   372,    35,   184,   333,   209,   363,   309,   291,   200,
      -1,   340,   369,   158,    -1,    -1,   345,   346,   347,   302,
     349,    -1,    -1,   352,    -1,    58,    -1,   356,    -1,    -1,
     359,    -1,    -1,   362,    -1,    -1,   365,    -1,    -1,   368,
      -1,    68,   371,    -1,    -1,   374,    73,    74,    75,    76,
      77,    78,    79,    80,    73,    74,    75,    76,    77,    78,
      79,    80,    67,    68,    69,    70,    71,    72,    67,    68,
      69,    70,    71,    72
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    29,    98,    99,    44,     0,    94,    29,   100,    45,
      29,   101,    39,   158,    46,    29,   102,    95,   159,   158,
      47,    29,   103,   159,   158,    48,    29,   104,   159,   158,
      49,    29,   105,   159,   158,    50,    29,   106,   159,   158,
      51,    29,   108,   159,   107,    52,    29,   109,    41,    24,
      25,    36,    38,   152,   154,   155,   156,   159,    53,    29,
     110,   159,   155,   155,   159,     6,     6,   158,    54,    29,
     111,   154,   156,   154,   156,   159,   152,   159,    55,    29,
     113,   114,     6,     6,     6,   159,    36,   112,   159,    56,
     159,   113,   156,   156,   154,    85,    86,    87,   115,   159,
     159,   159,    29,   116,    57,    29,    39,    58,   117,   118,
     159,    26,    40,    59,    60,    61,   120,   121,    29,   159,
     159,    29,   128,   129,   122,   123,   159,    29,   117,    62,
      63,   159,   128,    29,   124,   125,   127,    41,   120,   130,
     131,    68,    73,    74,    75,    76,    77,    78,    79,    80,
     159,   124,   159,    29,   132,   138,    29,   133,   140,   126,
      40,   143,   144,   143,   143,    29,   141,   143,   141,   141,
     141,   141,    67,    68,    69,    70,    71,    72,   159,   132,
      67,    68,    69,    70,    71,    72,   159,   140,    29,   127,
      30,   141,   141,   141,   142,   141,   141,    29,   148,   148,
     143,   141,   139,   143,    58,   119,   137,   143,    40,   119,
     134,   135,   136,   137,    29,   137,   146,   150,   141,   139,
     143,   137,   134,   137,   146,   159,    36,   148,   148,   147,
     148,    42,    43,    88,    89,    90,    91,    92,    93,   145,
     148,   148,   152,   154,   159,   159,   147,   143,    29,   146,
      40,   143,   137,   136,   146,   153,   155,   157,   146,   159,
     143,    29,    29,   149,   151,   137,   149,   149,   159,     1,
       6,    96,   160,   159,   159,   159,   148,   143,   143,   143,
     143,   143,   143,   143,   143,   159,   159,   159,   159,   159,
     146,    67,   159,   159,   146,   159,   159,     6,   159,     6,
     159,   149,    67,   152,   154,   159,   149,   159,   159,    36,
     159,   159,   159,   159,   159,   159,   159,   159,   159,   141,
     159,    29,   155,   157,   155,   157,   159,   141,   159,   159,
     159,   160,   143,   153,   155,     6,     6,     6,   143,    29,
     146,   159,   157,   157,   155,   149,   152,   159,    29,   159,
     159,   159,   153,   159,    29,   159,   152,    29,   159,   153,
      29,   159,   152,    29,   159,   153,    29,   159,   152,    29,
     159,   153,    29,   159,   152,   159
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     107,   106,   108,   108,   109,   110,   110,   111,   111,   111,
     111,   112,   113,   113,   113,   115,   114,   116,   117,   117,
     118,   118,   119,   120,   120,   121,   121,   122,   121,   123,
     121,   124,   124,   125,   125,   126,   127,   127,   127,   127,
     127,   127,   127,   127,   128,   128,   130,   129,   131,   129,
     132,   132,   133,   133,   134,   134,   135,   135,   136,   137,
     137,   138,   138,   138,   138,   138,   138,   138,   139,   140,
     140,   140,   140,   140,   140,   140,   141,   142,   141,   143,
     144,   144,   144,   145,   145,   145,   145,   145,   145,   145,
     145,   146,   146,   147,   148,   148,   149,   149,   150,   150,
     150,   150,   150,   150,   151,   151,   151,   151,   151,   151,
     152,   152,   152,   152,   153,   153,   153,   153,   154,   154,
     154,   155,   155,   156,   156,   157,   157,   158,   158,   159,
     160,   160
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,    15,     4,     4,     4,     4,     4,     4,
       0,     5,     4,     3,     4,     4,     3,     5,     5,     5,
       3,     1,     2,     1,     0,     0,     8,     4,     3,     2,
       3,     3,     3,     1,     3,     0,     3,     0,     4,     0,
       4,     2,     1,     5,     1,     0,     6,     6,     6,     6,
       6,     5,     5,     6,     2,     1,     0,     5,     0,     5,
       2,     1,     2,     1,     1,     1,     1,     2,     1,     1,
       2,     6,    10,     5,     6,     5,     4,     5,     0,     6,
      10,     5,     6,     5,     4,     5,     1,     0,     3,     1,
       1,     4,     6,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     1,     2,     3,     3,     3,     1,     3,     6,
       9,    12,    15,    18,     3,     6,     9,    12,    15,    18,
       5,     5,     5,     0,     5,     5,     5,     0,     1,     2,
       2,     1,     1,     1,     0,     1,     0,     1,     0,     1,
       1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 223 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1711 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 4:
#line 228 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1717 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 5:
#line 233 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1723 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 6:
#line 238 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1729 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 7:
#line 243 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1735 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 8:
#line 248 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1741 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 9:
#line 253 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1747 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 10:
#line 257 "sdfparse.yy" /* yacc.c:1646  */
    { setParseBlob(); }
#line 1753 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 11:
#line 258 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1759 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 12:
#line 263 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1765 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 13:
#line 265 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1771 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 14:
#line 270 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1777 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 15:
#line 275 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1783 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 16:
#line 277 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1789 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 17:
#line 282 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* set time scale for back annotation */
			setTimeScale( (yyvsp[-2].integer) - 9 );
		}
#line 1798 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 18:
#line 287 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* set time scale for back annotation */
			setTimeScale( (yyvsp[-2].integer) - 6 );
		}
#line 1807 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 19:
#line 292 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* set time scale for back annotation */
			setTimeScale( (yyvsp[-2].integer) - 12 );
		}
#line 1816 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 20:
#line 297 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* set default (1ns) time scale for back annotation */
			setTimeScale( -9 );
		}
#line 1825 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 21:
#line 305 "sdfparse.yy" /* yacc.c:1646  */
    {
			switch(	(yyvsp[0].integer) ) {
				case 1:
					(yyval.integer) = 0;
					break;
				case 10:
					(yyval.integer) = 1;
					break;
				case 100:
					(yyval.integer) = 2;
					break;
				default:
					sdf_error( "Timescale multiplier must be either 1,10, or 100" );
					(yyval.integer) = 0;
			} 
		}
#line 1846 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 25:
#line 329 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* reset current instance */
			resetInstance();
			/* free all allocated strings */
			purgeStrings();
		}
#line 1857 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 27:
#line 340 "sdfparse.yy" /* yacc.c:1646  */
    {	
			/* set current cell type */
			setCellType( (yyvsp[-1].ptr) );
		}
#line 1866 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 30:
#line 353 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* set down thru the hierarchy */
			findInstance( (yyvsp[-1].ptr) );
		}
#line 1875 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 31:
#line 358 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* this is a wild card  */
			findInstance( "*" );
		}
#line 1884 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 32:
#line 366 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.ptr) = (yyvsp[-1].ptr);
		}
#line 1892 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 37:
#line 378 "sdfparse.yy" /* yacc.c:1646  */
    {setAbsoluteDelay(TRUE);}
#line 1898 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 39:
#line 379 "sdfparse.yy" /* yacc.c:1646  */
    { setParseBlob(); }
#line 1904 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 40:
#line 380 "sdfparse.yy" /* yacc.c:1646  */
    {
			sdflexOpenFile( (yyvsp[-1].ptr) );
		}
#line 1912 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 43:
#line 393 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1918 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 44:
#line 395 "sdfparse.yy" /* yacc.c:1646  */
    {}
#line 1924 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 46:
#line 404 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eSETUP, &(yyvsp[-3].port), &(yyvsp[-2].port), (yyvsp[-1].elist) );
		}
#line 1932 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 47:
#line 408 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eHOLD, &(yyvsp[-2].port), &(yyvsp[-3].port), (yyvsp[-1].elist) );
		}
#line 1940 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 48:
#line 412 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eSETUPHOLD, &(yyvsp[-2].port), &(yyvsp[-3].port), (yyvsp[-1].elist) );
		}
#line 1948 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 49:
#line 416 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eRECOVERY, &(yyvsp[-2].port), &(yyvsp[-3].port), (yyvsp[-1].elist) );
		}
#line 1956 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 50:
#line 420 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eSKEW, &(yyvsp[-3].port), &(yyvsp[-2].port), (yyvsp[-1].elist) );
		}
#line 1964 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 51:
#line 424 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eWIDTH, &(yyvsp[-2].port), NULL, (yyvsp[-1].elist) );
		}
#line 1972 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 52:
#line 428 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( ePERIOD, &(yyvsp[-2].port), NULL, (yyvsp[-1].elist) );
		}
#line 1980 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 53:
#line 432 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eNOCHANGE, &(yyvsp[-3].port), &(yyvsp[-2].port), (yyvsp[-1].elist) );
		}
#line 1988 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 56:
#line 444 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* mark delay type as absolute */
			setAbsoluteDelay( TRUE );
		}
#line 1997 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 58:
#line 450 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* mark delay type as incremental */
			setAbsoluteDelay( FALSE );
		}
#line 2006 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 67:
#line 475 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[0].port);
			(yyval.port).path = (yyvsp[-1].ptr);
		}
#line 2015 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 68:
#line 483 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port).path = NULL;
			(yyval.port).name = (yyvsp[0].ptr);
			(yyval.port).scalar = TRUE;
			(yyval.port).edge = accNoEdge;
		}
#line 2026 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 70:
#line 494 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[0].port);
			(yyval.port).path = (yyvsp[-1].ptr);
		}
#line 2035 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 71:
#line 503 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eIOPATH, &(yyvsp[-3].port), &(yyvsp[-2].port), (yyvsp[-1].elist) );
		}
#line 2043 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 72:
#line 507 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* -------- support for COND needs to be added ----------- */
			setConstraint( eIOPATH, &(yyvsp[-4].port), &(yyvsp[-3].port), (yyvsp[-2].elist) );
		}
#line 2052 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 73:
#line 512 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( ePORT, &(yyvsp[-2].port), (port_t*)NULL, (yyvsp[-1].elist) );
		}
#line 2060 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 74:
#line 516 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eINTERCONNECT, &(yyvsp[-3].port), &(yyvsp[-2].port), (yyvsp[-1].elist) );
		}
#line 2068 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 75:
#line 520 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eNETDELAY, &(yyvsp[-2].port), (port_t*)NULL, (yyvsp[-1].elist) );
		}
#line 2076 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 76:
#line 524 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eDEVICE, (port_t*)NULL, (port_t*)NULL, (yyvsp[-1].elist) );
		}
#line 2084 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 77:
#line 528 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eDEVICE, &(yyvsp[-2].port), (port_t*)NULL, (yyvsp[-1].elist) );
		}
#line 2092 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 79:
#line 539 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eIOPATH, &(yyvsp[-3].port), &(yyvsp[-2].port), (yyvsp[-1].elist) );
		}
#line 2100 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 80:
#line 543 "sdfparse.yy" /* yacc.c:1646  */
    {
			/* -------- support for COND needs to be added ----------- */
			setConstraint( eIOPATH, &(yyvsp[-4].port), &(yyvsp[-3].port), (yyvsp[-2].elist) );
		}
#line 2109 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 81:
#line 548 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( ePORT, &(yyvsp[-2].port), (port_t*)NULL, (yyvsp[-1].elist) );
		}
#line 2117 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 82:
#line 552 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eINTERCONNECT, &(yyvsp[-3].port), &(yyvsp[-2].port), (yyvsp[-1].elist) );
		}
#line 2125 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 83:
#line 556 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eNETDELAY, &(yyvsp[-2].port), (port_t*)NULL, (yyvsp[-1].elist) );
		}
#line 2133 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 84:
#line 560 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eDEVICE, (port_t*)NULL, (port_t*)NULL, (yyvsp[-1].elist) );
		}
#line 2141 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 85:
#line 564 "sdfparse.yy" /* yacc.c:1646  */
    {
			setConstraint( eDEVICE, &(yyvsp[-2].port), (port_t*)NULL, (yyvsp[-1].elist) );
		}
#line 2149 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 87:
#line 570 "sdfparse.yy" /* yacc.c:1646  */
    {sdfEnableEdges( TRUE ); }
#line 2155 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 88:
#line 571 "sdfparse.yy" /* yacc.c:1646  */
    { 
			sdfEnableEdges( FALSE );
			(yyval.port) = (yyvsp[0].port);
		}
#line 2164 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 90:
#line 582 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port).path = NULL;
			(yyval.port).name = (yyvsp[0].ptr);
			(yyval.port).scalar = TRUE;
			(yyval.port).edge = accNoEdge;
		}
#line 2175 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 91:
#line 589 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port).path = NULL;
			(yyval.port).name = (yyvsp[-3].ptr);
			(yyval.port).scalar = FALSE;
			(yyval.port).msb = (yyvsp[-1].integer);
			(yyval.port).lsb = (yyvsp[-1].integer);
			(yyval.port).edge = accNoEdge;
		}
#line 2188 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 92:
#line 598 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port).path = NULL;
			(yyval.port).name = (yyvsp[-5].ptr);
			(yyval.port).scalar = FALSE;
			(yyval.port).msb = (yyvsp[-3].integer);
			(yyval.port).lsb = (yyvsp[-1].integer);
			(yyval.port).edge = accNoedge;
		}
#line 2201 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 93:
#line 610 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[-1].port);
			(yyval.port).edge = accPosedge;
		}
#line 2210 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 94:
#line 615 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[-1].port);
			(yyval.port).edge = accNegedge;
		}
#line 2219 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 95:
#line 620 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[-1].port);
			(yyval.port).edge = accEdge01;
		}
#line 2228 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 96:
#line 625 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[-1].port);
			(yyval.port).edge = accEdge10;
		}
#line 2237 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 97:
#line 630 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[-1].port);
			(yyval.port).edge = accEdgex1;
		}
#line 2246 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 98:
#line 635 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[-1].port);
			(yyval.port).edge = accEdgex0;
		}
#line 2255 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 99:
#line 640 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[-1].port);
			(yyval.port).edge = accEdge1x;
		}
#line 2264 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 100:
#line 645 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.port) = (yyvsp[-1].port);
			(yyval.port).edge = accEdge0x;
		}
#line 2273 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 101:
#line 654 "sdfparse.yy" /* yacc.c:1646  */
    {
			memset( &(yyval.elist), 0, sizeof((yyval.elist)) );
			(yyval.elist).values[0].triple[0].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[0].valid = TRUE;
			(yyval.elist).values[0].triple[1].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[1].valid = TRUE;
			(yyval.elist).values[0].triple[2].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[2].valid = TRUE;
			(yyval.elist).argCount = 1;
		}
#line 2288 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 103:
#line 669 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-1].elist).values[0];
			(yyval.elist).values[1] = (yyvsp[0].elist).values[0];
			(yyval.elist).argCount = 2;
		}
#line 2298 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 104:
#line 678 "sdfparse.yy" /* yacc.c:1646  */
    {
			memset( &(yyval.elist), 0, sizeof((yyval.elist)) );
			(yyval.elist).values[0].triple[0].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[0].valid = TRUE;
			(yyval.elist).values[0].triple[1].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[1].valid = TRUE;
			(yyval.elist).values[0].triple[2].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[2].valid = TRUE;
			(yyval.elist).argCount = 1;
		}
#line 2313 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 105:
#line 689 "sdfparse.yy" /* yacc.c:1646  */
    { 
			(yyval.elist).values[0] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 1;
		}
#line 2322 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 106:
#line 697 "sdfparse.yy" /* yacc.c:1646  */
    {
			memset( &(yyval.elist), 0, sizeof((yyval.elist)) );
			(yyval.elist).values[0].triple[0].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[0].valid = TRUE;
			(yyval.elist).values[0].triple[1].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[1].valid = TRUE;
			(yyval.elist).values[0].triple[2].value = (yyvsp[-1].floating);
			(yyval.elist).values[0].triple[2].valid = TRUE;
			(yyval.elist).argCount = 1;
		}
#line 2337 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 108:
#line 712 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 1;
		}
#line 2346 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 109:
#line 717 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-4].triple);
			(yyval.elist).values[1] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 2;
		}
#line 2356 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 110:
#line 723 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-7].triple);
			(yyval.elist).values[1] = (yyvsp[-4].triple);
			(yyval.elist).values[2] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 3;
		}
#line 2367 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 111:
#line 731 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-10].triple);
			(yyval.elist).values[1] = (yyvsp[-7].triple);
			(yyval.elist).values[2] = (yyvsp[-4].triple);
			(yyval.elist).values[3] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 4;
		}
#line 2379 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 112:
#line 740 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-13].triple);
			(yyval.elist).values[1] = (yyvsp[-10].triple);
			(yyval.elist).values[2] = (yyvsp[-7].triple);
			(yyval.elist).values[3] = (yyvsp[-4].triple);
			(yyval.elist).values[4] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 5;
		}
#line 2392 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 113:
#line 750 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-16].triple);
			(yyval.elist).values[1] = (yyvsp[-13].triple);
			(yyval.elist).values[2] = (yyvsp[-10].triple);
			(yyval.elist).values[3] = (yyvsp[-7].triple);
			(yyval.elist).values[4] = (yyvsp[-4].triple);
			(yyval.elist).values[5] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 6;
		}
#line 2406 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 114:
#line 764 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 1;
		}
#line 2415 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 115:
#line 769 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-4].triple);
			(yyval.elist).values[1] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 2;
		}
#line 2425 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 116:
#line 775 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-7].triple);
			(yyval.elist).values[1] = (yyvsp[-4].triple);
			(yyval.elist).values[2] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 3;
		}
#line 2436 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 117:
#line 783 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-10].triple);
			(yyval.elist).values[1] = (yyvsp[-7].triple);
			(yyval.elist).values[2] = (yyvsp[-4].triple);
			(yyval.elist).values[3] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 4;
		}
#line 2448 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 118:
#line 792 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-13].triple);
			(yyval.elist).values[1] = (yyvsp[-10].triple);
			(yyval.elist).values[2] = (yyvsp[-7].triple);
			(yyval.elist).values[3] = (yyvsp[-4].triple);
			(yyval.elist).values[4] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 5;
		}
#line 2461 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 119:
#line 802 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.elist).values[0] = (yyvsp[-16].triple);
			(yyval.elist).values[1] = (yyvsp[-13].triple);
			(yyval.elist).values[2] = (yyvsp[-10].triple);
			(yyval.elist).values[3] = (yyvsp[-7].triple);
			(yyval.elist).values[4] = (yyvsp[-4].triple);
			(yyval.elist).values[5] = (yyvsp[-1].triple);
			(yyval.elist).argCount = 6;
		}
#line 2475 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 120:
#line 815 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.triple).triple[0].value = (yyvsp[-4].floating);
			(yyval.triple).triple[0].valid = TRUE;
			(yyval.triple).triple[1] = (yyvsp[-2].creal);
			(yyval.triple).triple[2] = (yyvsp[0].creal);
		}
#line 2486 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 121:
#line 822 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.triple).triple[0] = (yyvsp[-4].creal);
			(yyval.triple).triple[1].value = (yyvsp[-2].floating);
			(yyval.triple).triple[1].valid = TRUE; 
			(yyval.triple).triple[2] = (yyvsp[0].creal);
		}
#line 2497 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 122:
#line 829 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.triple).triple[0] = (yyvsp[-4].creal);
			(yyval.triple).triple[1] = (yyvsp[-2].creal);
			(yyval.triple).triple[2].value = (yyvsp[0].floating);
			(yyval.triple).triple[2].valid = TRUE;
		}
#line 2508 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 123:
#line 836 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.triple).triple[0].valid = FALSE;
			(yyval.triple).triple[1].valid = FALSE;
			(yyval.triple).triple[2].valid = FALSE;
		}
#line 2518 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 124:
#line 845 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.triple).triple[0].value = (yyvsp[-4].floating);
			(yyval.triple).triple[0].valid = TRUE;
			(yyval.triple).triple[1] = (yyvsp[-2].creal);
			(yyval.triple).triple[2] = (yyvsp[0].creal);
		}
#line 2529 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 125:
#line 852 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.triple).triple[0] = (yyvsp[-4].creal);
			(yyval.triple).triple[1].value = (yyvsp[-2].floating);
			(yyval.triple).triple[1].valid = TRUE; 
			(yyval.triple).triple[2] = (yyvsp[0].creal);
		}
#line 2540 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 126:
#line 859 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.triple).triple[0] = (yyvsp[-4].creal);
			(yyval.triple).triple[1] = (yyvsp[-2].creal);
			(yyval.triple).triple[2].value = (yyvsp[0].floating);
			(yyval.triple).triple[2].valid = TRUE;
		}
#line 2551 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 127:
#line 866 "sdfparse.yy" /* yacc.c:1646  */
    {
			(yyval.triple).triple[0].valid = FALSE;
			(yyval.triple).triple[1].valid = FALSE;
			(yyval.triple).triple[2].valid = FALSE;
		}
#line 2561 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 129:
#line 876 "sdfparse.yy" /* yacc.c:1646  */
    { (yyval.floating) = (yyvsp[0].floating); }
#line 2567 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 130:
#line 878 "sdfparse.yy" /* yacc.c:1646  */
    { (yyval.floating) = -(yyvsp[0].floating); }
#line 2573 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 132:
#line 883 "sdfparse.yy" /* yacc.c:1646  */
    { (yyval.floating) = (double) (yyvsp[0].integer); }
#line 2579 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 133:
#line 888 "sdfparse.yy" /* yacc.c:1646  */
    { 	
			(yyval.creal).value = (yyvsp[0].floating); 
			(yyval.creal).valid = TRUE;
		}
#line 2588 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 134:
#line 893 "sdfparse.yy" /* yacc.c:1646  */
    { (yyval.creal).valid = FALSE; }
#line 2594 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 135:
#line 898 "sdfparse.yy" /* yacc.c:1646  */
    { 	
			(yyval.creal).value = (yyvsp[0].floating); 
			(yyval.creal).valid = TRUE;
		}
#line 2603 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 136:
#line 903 "sdfparse.yy" /* yacc.c:1646  */
    { (yyval.creal).valid = FALSE; }
#line 2609 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 138:
#line 909 "sdfparse.yy" /* yacc.c:1646  */
    { (yyval.ptr) = ""; }
#line 2615 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 139:
#line 918 "sdfparse.yy" /* yacc.c:1646  */
    { yyerrok; }
#line 2621 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 140:
#line 923 "sdfparse.yy" /* yacc.c:1646  */
    { yyerrok; }
#line 2627 "sdfparse.cc" /* yacc.c:1646  */
    break;

  case 141:
#line 925 "sdfparse.yy" /* yacc.c:1646  */
    { yyerrok; }
#line 2633 "sdfparse.cc" /* yacc.c:1646  */
    break;


#line 2637 "sdfparse.cc" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 928 "sdfparse.yy" /* yacc.c:1906  */


